import _regeneratorRuntime from "@babel/runtime/regenerator";
import _asyncToGenerator from "@babel/runtime/helpers/esm/asyncToGenerator";

function _createForOfIteratorHelperLoose(o, allowArrayLike) { var it; if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; return function () { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } it = o[Symbol.iterator](); return it.next.bind(it); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

import createEventStoreLite from '@resolve-js/eventstore-lite';
import { prepareEvents } from './prepare-events';
export var getEventStore = /*#__PURE__*/function () {
  var _ref = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(events, context) {
    var eventStoreAdapter, _iterator, _step, event;

    return _regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            eventStoreAdapter = createEventStoreLite({
              databaseFile: ':memory:'
            });
            _context.next = 3;
            return eventStoreAdapter.init();

          case 3:
            _iterator = _createForOfIteratorHelperLoose(prepareEvents(events, context));

          case 4:
            if ((_step = _iterator()).done) {
              _context.next = 10;
              break;
            }

            event = _step.value;
            _context.next = 8;
            return eventStoreAdapter.saveEvent(event);

          case 8:
            _context.next = 4;
            break;

          case 10:
            return _context.abrupt("return", eventStoreAdapter);

          case 11:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));

  return function getEventStore(_x, _x2) {
    return _ref.apply(this, arguments);
  };
}();
//# sourceMappingURL=get-event-store.js.map